Skip to main content
GET
/
controls
/
{org}
/
{identifier}
/
decisions
/
{decision_id}
Get a single decision for a control
curl --request GET \
  --url https://app.kosli.com/api/v2/controls/{org}/{identifier}/decisions/{decision_id} \
  --header 'Authorization: Bearer <token>'
{
  "control": "<string>",
  "is_compliant": true,
  "timestamp": 123,
  "attestation_name": "<string>",
  "evidence_files": [
    {
      "filename": "<string>",
      "download_url": "<string>"
    }
  ],
  "control_version": 123,
  "flow_name": "<string>",
  "trail_name": "<string>",
  "artifact_fingerprint": "<string>",
  "artifact_name": "<string>",
  "description": "<string>",
  "origin_url": "<string>",
  "user_data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required
decision_id
string
required
org
string
required

Response

Successful Response

control
string
required
is_compliant
boolean
required
timestamp
number
required
attestation_name
string
required
evidence_files
EvidenceFileItem · object[]
required
control_version
integer | null
flow_name
string | null
trail_name
string | null
artifact_fingerprint
string | null
Pattern: ^[a-f0-9]{64}$
artifact_name
string | null
description
string | null
origin_url
string | null
user_data
Last modified on June 25, 2026